local luaCutscenesUtils = require("#Celeste.Mod.MaxHelpingHand.Module.LuaCutscenesUtils")
local uhhh = getEntity("DialogNPC", "Celeste.Mod.DoonvHelper.Entities.")
local bettertext = require("#Celeste.Mod.CrossoverCollab.Code.PointsStuff.BetterTextbox")
local save = require("#Celeste.Mod.CrossoverCollab.Code.PointsStuff.PointsModule")

function onBegin()
	uhhh.CutsceneModeEnabled = true
	coroutine.yield(luaCutscenesUtils.SayWithDifferentFont("ANDYB", "stupid"))
	uhhh.CutsceneModeEnabled = false
	bettersay("here's 999 free coins for u")
	AddFish("terracoins", 999)
end

-- Adds a fish with any name, if that fish already exists, adds that many of it
function AddFish(name, amount)
    save.SaveData:AddFish(name, tonumber(amount))
 end
-- Returns how many fish of that type you have (or coins)
function GetFishamount(name)
    return tonumber(save.SaveData:GetFishAmount(name))
end

function bettersay(dialog)
    coroutine.yield(bettertext.Say(tostring(dialog)))
end